#include <bits/stdc++.h>
using namespace std;

long long n,c,a[100007],b[100007];
string s;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	cin >> s >> n;
    for(int i=1; i<=n; i++){
        cin >> a[i] >> b[i];
    }
    for(int i=1; i<=n; i++){
            c=0;
        for(int j=a[i]; j<=b[i+1]; j++){
            if(s[j-1]>s[j])c++;
        }
        cout << c+1 << endl;
    }
}
